      SUBROUTINE NDNECON(IERR)
!                                                                       
!     ESTABLISH ELEMENT CONNECTED TO ELEMENT TABLE                      
!                                                                       
      USE BLK1MOD
      USE BLK2MOD 
!      INCLUDE 'BLK1.COM' 
!      INCLUDE 'BLK2.COM' 
!                                                                       
!     INITIALIZE                                                        
!       
      ISWT=IERR
      NCM=MAXECON 
      DO  J=1,NCM 
        DO  N=1,NP 
          NECON(N,J)=0 
		ENDDO
	  ENDDO
      DO N=1,NP 
        NDELM(N)=0 
	  ENDDO
!                                                                       
!     FORM TABLE OF ELEMENTS CONNECTED TO EACH NODE                     
! 
!      IERR=0                                                                      
      DO  M=1,NE 
        IF(IMAT(M) .NE. 0) THEN
          DO  K=1,8
            IF(ISWT .EQ. 1 .AND. MOD(K,2) .EQ. 1) CYCLE
            N=NOP(M,K) 
            IF (N .GT. 0) THEN 
              NDELM(N)=NDELM(N)+1 
              J=NDELM(N)
			  IF(J .GT. MAXECON) THEN
			    IERR=MAX(IERR,J)
			  ELSE
                NECON(N,J)=M 
			  ENDIF
            ENDIF 
          ENDDO
		ENDIF
      END DO 
      RETURN
	  END
